# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_NoteBook Class Reference

NoteBook Object attribute
.

`#include <TDataStd_NoteBook.hxx>`

Inheritance diagram for TDataStd_NoteBook:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_NoteBook ()
Standard_EXPORT Handle_TDataStd_Real | Append (const Standard_Real value, const Standard_Boolean isExported=Standard_False)
| Tool to Create an Integer attribute from <value>, Insert it in a new son label of <me>. The Real attribute is returned. .
Standard_EXPORT Handle_TDataStd_Integer | Append (const Standard_Integer value, const Standard_Boolean isExported=Standard_False)
| Tool to Create an Real attribute from <value>, Insert it in a new son label of <me>. The Integer attribute is returned. .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Find (const TDF_Label &current, Handle(TDataStd_NoteBook)&N)
| class methods ============= //! try to retrieve a NoteBook attribute at <current> label or in fathers label of <current>. Returns True if found and set <n>.
static Standard_EXPORT Handle_TDataStd_NoteBook | New (const TDF_Label &label)
| Create an enpty NoteBook attribute, located at <label>. Raises if <label> has attribute .
static Standard_EXPORT const Standard_GUID & | GetID ()
| NoteBook methods =============== .

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_NoteBook::TDataStd_NoteBook | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TDataStd_Integer TDataStd_NoteBook::Append | ( | const Standard_Integer | value,
|  | const Standard_Boolean | isExported = `Standard_False`
| ) |

Standard_EXPORT Handle_TDataStd_Real TDataStd_NoteBook::Append | ( | const Standard_Real | value,
|  | const Standard_Boolean | isExported = `Standard_False`
| ) |

virtual Standard_EXPORT Standard_OStream& TDataStd_NoteBook::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT Standard_Boolean TDataStd_NoteBook::Find | ( | const TDF_Label & | current,
|  | Handle(TDataStd_NoteBook)& | N
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDataStd_NoteBook::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_NoteBook::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_NoteBook::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_NoteBook TDataStd_NoteBook::New | ( | const TDF_Label & | label | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDataStd_NoteBook::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_NoteBook::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_NoteBook::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

The documentation for this class was generated from the following file:

- TDataStd_NoteBook.hxx